Skip to main content
GET
Get AccessToken by ID

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Response

The AccessToken

An access token provides programmatic API authentication for a user.

changeSequence
integer<int32>
required

Optimistic locking version number.

createdOn
string<date-time>
required

Timestamp when the access token was created.

expiresAt
string<date-time> | null
required
id
string
required

Unique identifier (UUID) for the access token.

intakeId
string | null
required
name
string
required
scope
string | null
required
tokenHint
string
required
updatedOn
string<date-time>
required

Timestamp when the access token was last updated.

user
object | null
required

A platform user represents a user account in the Kodexa platform.

userId
string | null
required
uuid
string
required

Secondary UUID identifier.